constellation.h File Reference
`#include <mapper/api.h>`
`#include <gnuradio/gr_complex.h>`
`#include <boost/variant.hpp>`
`#include <stdint.h>`
`#include <vector>`
`#include <map>`
Include dependency graph for constellation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::mapper::constellation

## Namespaces

namespace | gr
namespace | gr::mapper

## Enumerations

enum | gr::mapper::modtype_t { gr::mapper::BPSK =0 , gr::mapper::P2BPSK =1 , gr::mapper::QPSK =2 , gr::mapper::PSK8 =3 , gr::mapper::PAM4 =4 , gr::mapper::QAM16 =5 , gr::mapper::QAM64 =6 }

## Variables

const int | gr::mapper::default_greymap_bpsk [2] = {0,1}
const int | gr::mapper::default_greymap_qpsk [4] = {0,1,3,2}
const int | gr::mapper::default_greymap_psk8 [8] = {0,1,3,2,7,6,4,5}
const int | gr::mapper::default_greymap_pam4 [4] = {0,1,3,2}
const int | gr::mapper::default_greymap_qam16 [16] = {2,6,14,10,3,7,15,11,1,5,13,9,0,4,12,8}
const int | gr::mapper::default_greymap_qam64 [64] = {0,32,8,40,3,35,11,43,48,16,56,24,51,19,59,27,12,44,4,36,15,47,7,39,60,28,52,20,63,31,55,23,2,34,10,42,1,33,9,41,50,18,58,26,49,17,57,25,14,46,6,38,13,45,5,37,62,30,54,22,61,29,53,21}